<div class="main-container">
  <div class="left-container">
    <div class="question-container">
      <label class="question-text">{{ question }}</label>
      <div class="answer-container">
        <input
          type="text"
          [(ngModel)]="userAnswer"
          placeholder="Your answer"
          class="form-control configInput"
          id="answerField"
          [disabled]="isUserAnswerDisabled"
        />
        <button
          (click)="checkAnswer()"
          class="btn btn-primary"
          [disabled]="isCheckButtonDisabled"
          [ngClass]="{ 'red-button': isCorrect === false }"
          [ngClass]="{ 'green-button': isCorrect === true }"
        >
          Check
        </button>
        <button (click)="solveQuestion()" class="btn btn-primary" [disabled]="isSolveButtonDisabled">Solve</button>
        <button (click)="nextQuestion()" class="btn btn-primary" [disabled]="isNextButtonDisabled">Next</button>
      </div>
    </div>
  </div>
  <div class="right-container">
    <label class="question-text">Rate the Tool</label>
    <div class="hex-conversion-container">
      <span id="ratingValue">{{ toolRating }}</span>
      <input type="range" id="ratingSlider" min="-3" max="3" [(ngModel)]="toolRating" [disabled]="isFeedbackSent" />

      <input
        type="text"
        [(ngModel)]="feedback"
        placeholder="Feedback"
        class="form-control configInput"
        id="feedbackField"
        [disabled]="isFeedbackSent"
      />
      <div class="question-text">
        <button (click)="sendFeedback()" class="btn btn-primary" [disabled]="isFeedbackSent">Submit</button>
      </div>
    </div>
  </div>
</div>

<div class="ascii-table-container">
  <button (click)="toggleAsciiTable()" class="toggle-button">
    {{ isAsciiTableVisible ? 'Hide' : 'Show' }} ASCII Table
  </button>
  <div *ngIf="isAsciiTableVisible" class="ascii-table">
    <div *ngFor="let row of asciiTable" class="ascii-row">
      <div *ngFor="let cell of row" class="ascii-cell">{{ cell.hex }}: {{ cell.char }}</div>
    </div>
  </div>
</div>
